Loading...
Searching...
No Matches
disk.h File Reference
`#include <datawizard/copy_driver.h>`
`#include <datawizard/malloc.h>`

Go to the source code of this file.

## Macros

#define | STARPU_DISK_ALL
#define | STARPU_DISK_NO_RECLAIM

## Functions

void * | _starpu_disk_alloc (unsigned node, size_t size) STARPU_ATTRIBUTE_MALLOC
void | _starpu_disk_free (unsigned node, void *obj, size_t size)
int | _starpu_disk_read (unsigned src_node, unsigned dst_node, void *obj, void *buf, off_t offset, size_t size, struct _starpu_async_channel *async_channel)
int | _starpu_disk_write (unsigned src_node, unsigned dst_node, void *obj, void *buf, off_t offset, size_t size, struct _starpu_async_channel *async_channel)
int | _starpu_disk_full_read (unsigned src_node, unsigned dst_node, void *obj, void **ptr, size_t *size, struct _starpu_async_channel *async_channel)
int | _starpu_disk_full_write (unsigned src_node, unsigned dst_node, void *obj, void *ptr, size_t size, struct _starpu_async_channel *async_channel)
int | _starpu_disk_copy (unsigned node_src, void *obj_src, off_t offset_src, unsigned node_dst, void *obj_dst, off_t offset_dst, size_t size, struct _starpu_async_channel *async_channel)
void | starpu_disk_wait_request (struct _starpu_async_channel *async_channel)
int | starpu_disk_test_request (struct _starpu_async_channel *async_channel)
void | starpu_disk_free_request (struct _starpu_async_channel *async_channel)
int | _starpu_disk_can_copy (unsigned node1, unsigned node2)
void | _starpu_set_disk_flag (unsigned node, int flag)
int | _starpu_get_disk_flag (unsigned node)
void | _starpu_disk_unregister (void)
void | _starpu_swap_init (void)
static struct _starpu_disk_event * | _starpu_disk_get_event (union _starpu_async_channel_event *_event)

## Function Documentation

## _starpu_disk_alloc()

void * _starpu_disk_alloc | ( | unsigned | node,
|  | size_t | size )

interface to manipulate memory disk

## _starpu_disk_read()

int _starpu_disk_read | ( | unsigned | src_node,
|  | unsigned | dst_node,
|  | void * | obj,
|  | void * | buf,
|  | off_t | offset,
|  | size_t | size,
|  | struct _starpu_async_channel * | async_channel )

src_node is a disk node, dst_node is for the moment the STARPU_MAIN_RAM

## _starpu_disk_write()

int _starpu_disk_write | ( | unsigned | src_node,
|  | unsigned | dst_node,
|  | void * | obj,
|  | void * | buf,
|  | off_t | offset,
|  | size_t | size,
|  | struct _starpu_async_channel * | async_channel )

src_node is for the moment the STARU_MAIN_RAM, dst_node is a disk node

## starpu_disk_wait_request()

void starpu_disk_wait_request | ( | struct _starpu_async_channel * | async_channel | ) |

force the request to compute

## starpu_disk_test_request()

int starpu_disk_test_request | ( | struct _starpu_async_channel * | async_channel | ) |

return 1 if the request is finished, 0 if not finished

## _starpu_disk_can_copy()

int _starpu_disk_can_copy | ( | unsigned | node1,
|  | unsigned | node2 )

interface to compare memory disk

## _starpu_set_disk_flag()

void _starpu_set_disk_flag | ( | unsigned | node,
|  | int | flag )

change disk flag

## _starpu_disk_unregister()

void _starpu_disk_unregister | ( | void |  | ) |

unregister disk